<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
	<title>Home - Brand</title>
	<link rel="stylesheet" href="/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800">
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic">
	<link rel="stylesheet" href="/css/styles.min.css">
	<script src="/bootstrap/js/bootstrap.min.js"></script>
	<script src="/js/script.min.js"></script>
	<script src="http://d3js.org/d3.v3.min.js"></script>
	<script src="https://code.jquery.com/jquery-3.6.0.js"></script>
	<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
	<script type="text/javascript" src="https://pagination.js.org/dist/2.1.5/pagination.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/paginationjs/2.1.4/pagination.css"/>
	<script type="text/javascript" src="/js/limitinput.js"></script>

</head>


<script type="text/javascript">
	$( function() {
		$( "#tag" ).autocomplete({
			maxShowItems: 5,
			minLength: 3,
			source: ['a','az','ae','d'],
			search: function(event) {
			//event.preventDefault();
			//var valeurdutruc = $('#tag').val();

			//console.log(valeurdutruc)
		},
		select: function(event, ui) {
			//var banane = maximax.indexOf(ui.item.label)
			//console.log(banane)
		}
	});
	});
	
</script>


<header class="masthead" style="padding: 3em;">
	<div class="container" style="text-align: center;padding: 2em;">
		<h1 style="font-family: 'Open Sans', sans-serif;">Mot meaning</h1>
		<div class="ui-widget">
			<input class="form-control" id="tag" aria-describedby="mot" placeholder="Mot ...">
		</div>
		<span class="subheading"> - accurate -</span>
	</div>
	<div>
		<div class="social-icons" style="padding: 0;" id="div_AlphaList"></div>
	</div>
</header>

<body style="font-family: 'Open Sans';font-size: 1em;">
	<div class="container">
		<div class="row gx-5" id="firstavenger">
		</div>
	</div>
</body>

<footer>
	<nav aria-label="Page navigation example" class="container d-flex justify-content-center">
		<div id="pages"></div>
	</nav>
</footer>

<script>
	$(function () {

		function template_unifier(title, sound, type){

			var template = `
			<div class="col-lg-4 col-md-12">
			<div class="container">
			<hr>
			<div class="row">
			<h2 class="post-title">`+title+`</h2>
			<span>/`+sound+`/</span>
			<em>Genre : `+type+`</em>
			<p> Tout ce qui est identifié comme un <b>`+title+`</b></p>
			</div>
			<hr>
			</div>
			</div>
			`
			return template;
		}

		function arrayEquals(a, b) {
			return Array.isArray(a) &&
			Array.isArray(b) &&
			a.length === b.length &&
			a.every((val, index) => val === b[index]);
		}

		function tcheck_doublon(item,tcheck_rep){
		//en gros il commit meme si rien, donc des pages avec seulement 2 oy 3 elements, à voir

		if (!(arrayEquals(tcheck_rep, [item['ortho'], item['genre']])) && item['genre'] != '') { 
			return true;
		} else {
			return false
		}


	};

	d3.csv("lexique.csv", function(dataset) {

		let container = $('#pages');
		container.pagination({
			dataSource: dataset,
			pageSize: 9,
			callback: function (data, pagination) {

				var dataHtml = ''
				var tcheck_rep = ['','']

				$.each(data, function (index, item) {
					//if(tcheck_doublon(item, tcheck_rep)){
						//tcheck_rep = [item['ortho'], item['genre']]
						dataHtml += template_unifier(item['ortho'], item['phon'], item['genre'])
					//}
				});

				$("#firstavenger").html(dataHtml);

			}
		})
	})
});
//=================================================================


function move_to(i) {
	let container = $('#pages');
	container.pagination(i+1);
}


//=================================================================
d3.csv("lexique.csv", function(data) {

	firstLetter_Array = []
	var index=0
	//position_first_iter = 0

	filteredData = data.filter(function(row,i) {
		if (firstLetter_Array[0] == undefined) {firstLetter_Array.push([row['ortho'][0],Math.floor(i/9)]);}
		if (firstLetter_Array[index][0]!=row['ortho'][0]) {firstLetter_Array.push([row['ortho'][0],Math.floor(i/9)]);index+=1}
		if (row['ortho'][0] == undefined) {console.log('BAD dataset, error somewhere, probably here :');console.log(row);}
		return firstLetter_Array;
	});

	firstLetter_Array.reverse().forEach(function(item, index, array) {
		var div_AlphaList = document.getElementById('div_AlphaList');
		div_AlphaList.insertAdjacentHTML('afterbegin', '<a class="border rounded-0" onclick="move_to('+item[1]+');" style="margin: 2px;"><strong>'+item[0]+'</strong></a>');
	});
})
//=================================================================

</script>

</html>